This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 510639 - Revisor 2.1.6-1 fails to build Fedora 11 images
Revisor 2.1.6-1 fails to build Fedora 11 images
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 21:14 EDT by Philip Heuer
Modified: 2009-08-12 19:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-12 19:03:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for a regular expression issue in kickstart.py (344 bytes, patch)
2009-07-09 21:14 EDT, Philip Heuer
no flags Details | Diff
Fix for buildinstall call in pungi.py (598 bytes, patch)
2009-07-09 21:18 EDT, Philip Heuer
no flags Details | Diff

  None (edit)
Description Philip Heuer 2009-07-09 21:14:46 EDT
Created attachment 351202 [details]
Fix for a regular expression issue in kickstart.py

Description of problem:

Revisor failed to parse a kickstart file and build iso images for Fedora 11.

Version-Release number of selected component (if applicable):

2.1.6-1

How reproducible:

always

Steps to Reproduce:
1. Create a kickstart file with a %packages section.
2. Attempt to build.
  
Actual results:

Revisor failed to parse the kickstart file and create the images.

Expected results:

Images would be created successfully.

Additional info:

I found that two issues prevented the proper creation of the iso images. I am attaching patches below.
Comment 1 Philip Heuer 2009-07-09 21:18:59 EDT
Created attachment 351203 [details]
Fix for buildinstall call in pungi.py

This patch fixes the syntax of the buildinstall call (adds --output before the output directory).
Comment 2 Jeroen van Meeuwen 2009-07-11 07:23:10 EDT
These have been applied in GIT already, just not releases in the form of a package yet. Thanks!

I'll leave this bug open until after the release of an update. I'm still working on some other issues as well.
Comment 3 Jeroen van Meeuwen 2009-08-12 19:03:39 EDT
revisor-2.1.7 with these fixes should have landed by now.

Note You need to log in before you can comment on or make changes to this bug.